{% block sw_entity_many_to_many_assignment_card_grid %}
<template #grid>
    <slot name="data-grid">
        <div class="sw-many-to-many-assignment-card__empty-state" v-if="total == 0 && !searchTerm">
            <slot name="empty-state"></slot>
        </div>
        <sw-data-grid
            v-else
            class="sw-many-to-many-assignment-card__grid guide-shopping-table"
            :data-source="gridData"
            :is-loading="isLoadingGrid"
            :columns="columns"
            :v-bind="$attrs"
            :show-selection="false"
            :plain-appearance="true"
        >
            <template
                v-for="column in columns"
                #[`column-${column.property}`]="columnProps"
            >
                {% block sw_entity_many_to_many_assignment_card_grid_column %}
                <slot
                    :name="`column-${column.property}`"
                    v-bind="{ ...columnProps, searchTerm, highlightSearchTerm }"
                ></slot>
                {% endblock %}
            </template>

            <template #actions="{ item }">
                {% block sw_entity_many_to_many_assignment_card_grid_column_actions %}
                <sw-context-menu-item
                    variant="danger"
                    :disabled="disabled"
                    @click="removeFromGrid(item)"
                >
                    {{ $tc('global.entity-components.labelRemoveAssociation') }}
                </sw-context-menu-item>
                {% endblock %}
            </template>

            <template #pagination>
                {% block sw_entity_many_to_many_assignment_card_grid_footer %}
                {% block sw_entity_many_to_many_assignment_card_grid_footer_remote_mode %}
                <template v-if="!localMode">
                    <sw-pagination
                        v-if="total > 0"
                        v-bind="{ limit, page, total }"
                        :auto-hide="false"
                        @page-change="paginateGrid"
                    />

                    <div
                        v-else-if="!!searchTerm"
                        class="sw-many-to-many-assignment-card__empty-state"
                    >
                        <sw-icon
                            name="default-action-search"
                            size="20px"
                        />
                        {{ $tc('global.sw-select-result-list.messageNoResults') }}
                    </div>
                </template>
                {% endblock %}

                {% block sw_entity_many_to_many_assignment_card_grid_footer_local_mode %}
                <template v-else>
                    <div
                        v-if="total === 0"
                        class="sw-many-to-many-assignment-card__empty-state"
                    >
                        <slot name="empty-state"></slot>
                    </div>
                </template>
                {% endblock %}
                {% endblock %}
            </template>
        </sw-data-grid>
    </slot>
</template>
{% endblock %}
